2005-01-16  Phil Blundell  <philb@gnu.org>

	* Version 0.61 released.

2005-01-16  Phil Blundell  <philb@gnu.org>

	* gtkdatesel.c (get_max_month_width): New function.
	(gtk_date_sel_set_month_style): Use it.
	(get_max_day_width): New function.
	(gtk_date_sel_init): Use it.

2005-01-09  Phil Blundell  <philb@gnu.org>

	* Version 0.60 released.

2005-01-09  Phil Blundell  <philb@gnu.org>

	Apply patches from Peter Naulls:
	* week_view.c (draw_expose_event): Use different background colours
	for weekdays, weekends, and days with events.
	* month_view.c (draw_expose_event): Likewise.	

2005-01-09  Phil Blundell  <philb@gnu.org>

	* event-ui.c (build_edit_event_window): Avoid GtkButtonBox.  Allow
	start and end time fields to expand horizontally.

	* Makefile (LIBGPEVTYPE_PC_EXTRA): Prepend to PKG_CONFIG_PATH,
	don't replace it.

2004-12-21  Florian Boor <florian.boor@kernelconcepts.de>
	
	* Version 0.59 released.

2004-11-25  Florian Boor <florian.boor@kernelconcepts.de>

	* event-ui.c: Applied patch to fix transientness, thanks to
          Christian Gillot for this patch.

2004-11-15  Phil Blundell  <pb@nexus.co.uk>

	* week_view.c (week_view_button_press): Bring popup behaviour in
	line with month view: single left click moves focus; double left
	click moves focus and switches to day view; right click opens
	popup menu.

2004-11-15  Phil Blundell  <pb@nexus.co.uk>

	* month_view.c (button_press): Delete bogus check for button==1.

	* week_view.c (week_view_key_press_event): Replace complicated
	up/down logic with calls to gtk_date_sel_move_day.

2004-11-07  Phil Blundell  <pb@nexus.co.uk>

	* Makefile (LINGUAS): Add zh_CN.
	* po/zh_CN.po: New file, courtesy Meng Jie.

2004-10-09  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.58 released.

2004-10-09  Phil Blundell  <pb@nexus.co.uk>

	* day_view.c (day_changed_calendar): Do nothing if date has not
	actually changed.
	* week_view.c (day_changed_calendar): Likewise.

2004-10-09  Phil Blundell  <pb@nexus.co.uk>

	* day_view.c (day_view): Single click on calendar moves highlight,
	even when not in stylus mode.
	* week_view.c (week_view): Likewise.

2004-10-09  Phil Blundell  <pb@nexus.co.uk>

	* month_view.c (title_height): New global.
	(button_press): Use it.
	(draw_expose_event): Likewise.  Avoid wasteful re-initialisation
	of static data on every call.  Draw day number in top-left corner
	of cell.
	(calc_title_height): New function.
	(month_view): Call it.

	* gtkdatesel.h (gtk_date_sel_move_day): Really add prototype.

	* week_view.c (struct week_day): Delete 'initialized'.
	(week_view, week_view_update): Remove references to above member.
	(day_changed_calendar): New function.
	(changed_callback): Rename to ...
	(day_changed_datesel): ... this.  Keep calendar up to date.
	(update_hook_callback): Keep calendar up to date.  No need to call
	gtk_widget_draw on datesel.
	(week_view_key_press_event): Fix warnings.  Keep calendar up to
	date.

	* main.c (time_from_day): Don't force time to 00:00.

	* day_view.c (day_view): Add calendar if screen is landscape.
	(list_exposed): Fix warning.
	(update_hook_callback): Keep calendar up to date.  No need to call
	gtk_widget_draw on datesel.
	(changed_callback): Rename to ...
	(date_sel_changed): ... this.  Keep calendar up to date.
	(day_changed_calendar): New function.

	* gtkdatesel.c (gtk_date_sel_set_month_style): Calculate maximum
	width of month string.
	(gtk_date_sel_init): Likewise for year.
	(make_field): Rework widget packing to prevent arrows from moving
	around.
	(struct elem): Add container.  Remove arrow_l and arrow_r.

2004-10-07  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.57 released.

2004-10-07  Phil Blundell  <pb@nexus.co.uk>

	* future_view.c, future_view.h: Deleted.
	* Makefile (MEMBERS): Remove future_view.
	* main.c: Delete references to future_view.	

2004-10-07  Phil Blundell  <pb@nexus.co.uk>

	* day_view.c (list_key_press_event): Use left/right keys to move
	between days.
	
	* week_view.c (week_view_key_press_event): Replace big list of
	"if" statements with switch.  Use left/right keys to move between
	weeks.
	(draw_expose_event): Draw cursor in blue, not red, to reassure
	users that nothing is wrong.  Remove ugly grey bar on left of
	screen.  Add "wide mode" with date labels on left and first event
	on same line as label.	

	* month_view.c (draw_expose_event): Draw cursor in blue, not red.
	(button_press): Make button-1 clicks move the highlight, and
	button-3 clicks pop up the menu.
	(month_view_update): Provide forward decl.  Simplify handling of
	active_day a bit.

	* gtkdatesel.c (gtk_date_sel_move_day): New function.
	(gtk_date_sel_move_week): Likewise.
	(gtk_date_sel_move_month): Likewise.
	(day_click, week_click, month_click): Implement in terms of above.
	* gtkdatesel.h (gtk_date_sel_move_day, gtk_date_sel_move_week,
	gtk_date_sel_move_month): New prototypes.

2004-10-06 Florian Boor <florian.boor@kernelconcepts.de>

    * event-ui.c: Added warning if event starts in the past.

2004-09-20 Florian Boor <florian.boor@kernelconcepts.de>

    * event-ui.c: Fixed event lossage if returning from reminder to appointment. 
    * month_view.c, week_fiew.c: Allow focus to fix keyboard control.
    * main.c: Fixed typo and not necessary updates.
    * main.c: Changed today_button to become a real togglebutton.
    * event-ui.c: Window modal to avoid open it more than once.

2004-09-03 Florian Boor <florian.boor@kernelconcepts.de>

    * Released V 0.56
    * main.c: Fixed tooltips, changed button label.
    * main.c: Added some hotkeys for common operations.
    * main.c: Some GUI tuning.
    * gtkdatesel.c: Increasing the arrow button sizes a little bit.

2004-09-01  Florian Boor <florian.boor@kernelconcepts.de>

	* main.c, event-ui.c: Make sure the correct widget has focus if we start 
	                      a new event.

2004-08-30  Florian Boor <florian.boor@kernelconcepts.de>

    * main.c, event-ui.c: Buffer characters to add in a new event.

2004-08-29  Florian Boor <florian.boor@kernelconcepts.de>

    * main.c: Don't add spaces if screen width < 260 pixels.

2004-08-24  Florian Boor <florian.boor@kernelconcepts.de>

    * event-ui.c: Select current day of week as default for weekly recurrence.

2004-08-18  Florian Boor <florian.boor@kernelconcepts.de>

    * main.c: Prevent user from accidentally creating more than on new event.
    * Released V 0.55
    * day_view.c, week_view.c, month_view.c: Removed focus changes on 
      direction key press.

2004-08-10  Florian Boor <florian.boor@kernelconcepts.de>

    * main.c: Typing opens "new event" dialog now.

2004-08-08  Florian Boor <florian.boor@kernelconcepts.de>

	* main.c: Implemented vcard import via command line switch "-i <file>"

2004-08-05  Florian Boor <florian.boor@kernelconcepts.de>

    * event-ui.c: Fixed titles, layout and positions of recurrence tab.

2004-07-23  Florian Boor <florian.boor@kernelconcepts.de>
    
    * Released V 0.54
    * added several translations to cvs
    * event_ui.c: Changes in keyboard control to use direction keys to navigate.
    * main.c: Improved handling of updates and some feedback if the "today" 
              button is active.
    * future_view.c: Added updating of date label.
    * *view.c: Some updates to day selection stuff.
    * globals.h, main.c: Added some global routines.

2004-07-22  Florian Boor <florian.boor@kernelconcepts.de>
    
    * month_view.c: Change: "today" in update routine is set to "viewtime" now.
    * *view.c, main.c: Several hacks to keep active day global and up to date.
    * event_ui.c: Multiple optical uodates and small fixes.
                  Set default focus to text field, set some window parameters.
    * main.c: Added function to set current date.
    * *view.c: Honor global setting to today.

2004-07-21  Florian Boor <florian.boor@kernelconcepts.de>

    * Makefile: Working on V 0.54 now.
    * main.c: Make default window size a little bit cleverer.
    * year_view.*, month_view.*, week_view.*, future_view.*:
      Added function to free allocated lists from eventdb.
    * event-ui.c: Added handling of escape and enter keys to abort/save.
    * import-vcal.c: import_vcal(): Returns success now. 
                     Removed obsolete dialog.
    * main.c: Import status dialog, error detection.

2004-07-20  Florian Boor <florian.boor@kernelconcepts.de>

    * import-vcal.h: New file.
    * import-vcal.c: New files taken from gpe-bluetooth by Philip Blundell.
    * main.c, Makefile: Started to add VCAL import facility.
    * month_view.c: Improved year handling.
    * month_view.c: Improved keyboard controls.    

2004-07-19  Florian Boor <florian.boor@kernelconcepts.de>

    * month_view.c: Started simple keyboard control.
    * day_view.c: Keyboard control improvements, still not perfect.
    * week_view.c, day_popup.c: Improved UI, event creation for wek view,
                                fixed some bugs in time handling. 
    * day_popup.*: Keyboard control update, parameter wether to show items 
                   or not.

2004-07-16  Florian Boor <florian.boor@kernelconcepts.de>
    
    * day_popup.c: Started some keyboard controls.
    * week_view.c: More keyboard controls and basic popups.
    * week_view.c: Very basic keyboard controls for week view.
    * week_view.c: Formating updates, minor painting improvements.
    
2004-07-15  Florian Boor <florian.boor@kernelconcepts.de>

    * day_view.c: selection_made() Changed clicking behaviour to start edit
                  on click on any entry.
    * day_view.c: Started implementing keyboard control, deleting of events.
    * main.c: Removed hardcoded toolbar style.
    * day_view.c: Don't display very early/late slots if they are not used.
    * day_view.c, event_ui.c: Some formating improvements.
    * event_ui.c: click_delete() Replaced obsolete gpe_question_ask_yn().
    * week_view.c: Activate scrollbar only if necessary.

2004-06-21  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add es, sk, sr, ru, hu.

2004-06-01  Philip Blundell  <philb@gnu.org>

	* Version 0.53 released.

2004-05-28  Phil Blundell  <pb@nexus.co.uk>

	* gtkdatesel.c (struct _GtkDateSel): Add subbox.
	(make_field): Put widgets into subbox, not top-level box.  Set
	expand and fill to FALSE when packing.
	(gtk_date_sel_init): Create subbox and pack it into top level.

2004-03-25  Philip Blundell  <philb@gnu.org>

	* Version 0.52 released.

2004-03-08  Philip Blundell  <philb@gnu.org>

	* Makefile (PACKAGE_LDFLAGS, PACKAGE_CFLAGS, PACKAGE_CPPFLAGS):
	Define and use instead of LDFLAGS, CFLAGS and CPPFLAGS.

2004-03-06  Philip Blundell  <philb@gnu.org>

	* Version 0.51 released

2004-03-05  Philip Blundell  <philb@gnu.org>

	* event-ui.c: Include pim-categories-ui.h to fix warning.
	(edit_event): Exercise caution around details struct since
	pointers may be NULL.
	(click_delete): Remove useless call to gtk_widget_get_toplevel.

2004-02-23  Joseph J. McCarthy <mccarthy@engrng.pitt.edu>
                                                                                
        * Version 0.50 released.
                                                                                
2004-02-22  Phil Blundell  <pb@nexus.co.uk>

	* Makefile (CPPFLAGS, LDFLAGS): Add libgpepimc.
	* main.c (main): Call gpe_pim_categories_init().
	* event-ui.c (struct edit_state): Add categories,
	categories_label.
	(destroy_user_data): Handle categories.
	(click_ok): Stash new categories.
	(build_categories_string): New.
	(update_categories): Likewise.
	(click_categories): Likewise.
	(build_edit_event_window): Add categories handling.	

2004-02-20  Joseph J. McCarthy <mccarthy@engrng.pitt.edu>
                                                                                
        * event-ui.c : update last_modified when changes are made 
                                                                                
2004-02-14  Philip Blundell  <philb@gnu.org>

	* Version 0.49 released.

2004-02-09  Phil Blundell  <pb@nexus.co.uk>

	* README: Delete useless empty file.
	* TODO: Delete useless outdated file.
	
	* event-ui.c (build_edit_event_window): Set default size on new
	window.

	* future_view.c (future_view): Set NEVER policy for horizontal
	scrollbar.

2004-02-08  Howell Tam	<pigeon@pigeond.net>
	
	* event-ui.c: Recurring page now shows corresponding fields properly.
	* day_popup.c: Likewise.
	* day_view.c: Likewise.
	* future_view.c: Likewise.
	* main.c: Likewise.
	* event-ui.c: Recurrence page now in a scrolled window.

2003-10-19  Philip Blundell  <philb@gnu.org>

	* Makefile: Don't link with -lsqlite.  Use STANDARD_CFLAGS,
	STANDARD_CPPFLAGS, STANDARD_LDFLAGS.

2003-10-18  Philip Blundell  <philb@gnu.org>

	* Makefile (CPPFLAGS): Undo last change.

2003-10-09  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add cs.

2003-09-24  Philip Blundell  <philb@gnu.org>

	* Makefile: Use $(GPECFLAGS), $(GPELIBS).
	(CPPFLAGS): Add -DG_DISABLE_CAST_CHECKS.

2003-09-23  Philip Blundell  <philb@gnu.org>

	* gpe-calendar 0.48 released.

2003-09-23  Philip Blundell  <philb@gnu.org>

	* gpe-calendar.session: Add missing #!/bin/sh.

2003-09-07  Philip Blundell  <philb@gnu.org>

	* Version 0.47 released.
	
2003-09-07  Philip Blundell  <philb@gnu.org>

	* gtkdatesel.c (format_text): Fix cut and paste error in last
	change.

2003-09-06  Philip Blundell  <philb@gnu.org>

	* Version 0.46 released.
	
2003-09-06  Philip Blundell  <philb@gnu.org>

	* gtkdatesel.c (format_text): Convert format string back to native
	locale encoding before calling strftime.

  	Patch from Libor Klepac:
	* day_popup.c (day_popup): Recode result of strftime to UTF-8.
	* event-ui.c (build_edit_event_window): Likewise for nl_langinfo
	strings.

	* po/nl.po: New file, courtesy Elros Cyriatan.
	* Makefile (LINGUAS): Add nl.

2003-09-05  Philip Blundell  <philb@gnu.org>

	* familiar/control1 (Source): Added.

2003-09-05  Philip Blundell  <philb@gnu.org>

	* Version 0.45 released.

2003-09-05  Philip Blundell  <philb@gnu.org>

	* day_view.c (selection_made): Avoid infinite loops and crashes
	with untimed events.

2003-07-29  Philip Blundell  <philb@gnu.org>

	* gtkdatesel.c (format_text): Convert strftime() output to UTF-8.
	* week_view.c (week_view_update): Likewise.	
	* future_view.c (future_view_update): Likewise.
	(future_view): Likewise.

2003-07-13  Phil Blundell  <pb@nexus.co.uk>

	* Makefile (CFLAGS): Use libdisplaymigration in place of libdm.
	(LDFLAGS): Likewise.

2003-07-08  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>
	
	* Makefile: released version 0.44
	
2003-07-08  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>
	
	* day_view.c (selction_made): added a search for dat when multiple
	events are liste3d in the same timeslot (stops the crash)
	
2003-07-08  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>
	
	* main.c : add new global week_offset to allow week_starts_monday to
	affect month-view
	* month_view.c (draw_expose_event): Move days declaration and setting
	as well as add several week_offset changes so that week_starts_monday
	works in month-view
	* xsettings (notify_func): change week_offset along with
	week_starts_monday
	* globals.h : add week_offset
	
2003-07-06  Moray Allan  <moray@sermisy.org>

	* day_view.c (day_view_update), future_view (future_view_update),
	Makefile: Removed legacy GTK1 code.

2003-07-06  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add sv.
	* po/sv.po: New file, courtesy Christian Rose.	

2003-06-22  Philip Blundell  <philb@gnu.org>

	* main.c (main): Hook delete-event signal, not destroy.

2003-07-06  Moray Allan  <moray@sermisy.org>

	* Makefile (install_program), gpe-calendar.menu: No longer install
	old-style menu file.

2003-06-26  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add wa.
	(install-program): Preserve extension on installed .desktop file.
	* po/wa.po: New file, courtesy Pablo Saratxaga.

2003-05-09  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add ro.
	* po/ro.po: New file, courtesy Laurentiu Buzdugan.

2003-04-27  Philip Blundell  <philb@gnu.org>

	* event-ui.c (edit_event): Set event-type notebook to appropriate
	page.
	(new_event): Likewise.  Set option-menu as well.

2003-04-25  Philip Blundell  <philb@gnu.org>

	* Version 0.43 released.

2003-04-25  Philip Blundell  <philb@gnu.org>

	* event-ui.c (build_edit_event_window): Increase range of alarm spinner.
	(click_ok): Use an array rather than a switch to decode alarm multipliers.
	(new_event): Set the date for reminders.
	(edit_event): Likewise.  Set units appropriately for alarm time.

	* old-db.c: Deleted.

2003-04-21  Philip Blundell  <philb@gnu.org>

	* Version 0.42 released.
	
2003-04-21  Philip Blundell  <philb@gnu.org>

	* day_view.c (day_view_update): Remove spurious call to
	gtk_clist_set_row_data.  Reorganise code slightly for improved
	clarity.

	* main.c (main): Ensure day-view button is selected.

2003-04-20  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add zh_TW.
	* po/zh_TW.po: New file, courtesy Chao-Hsiung Liao.

2003-04-12  Christian Meyer  <chrisime@gnome.org>

	* event-ui.c (build_edit_event_window): Moved some code to proper
	places. It's easier to read now. Ongoing work...

2003-04-11  Philip Blundell  <philb@gnu.org>

	* Version 0.41 released.
	
2003-04-11  Philip Blundell  <philb@gnu.org>

	* familiar/control1 (Depends): Require libeventdb 0.06.

	* event-ui.c (click_delete): Reformat.  Make question string
	static and mark for translation.  Fix warning about argument
	shadowed by local var.
	(unschedule_alarm): Reformat.
	(schedule_next): Likewise.  Use g_strdup_printf to avoid buffer
	overrun.
	(click_ok): Reformat.
	(edit_event): Likewise.

2003-04-11  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>
	
	* day_view.c (day_view_update): move GSList declares of day_events and
	untimed_events to outside function, also delete old GSLists (and
	clones) directly prior to building new ones
	* event-ui.c (click_delete): switch to taking window as arg (instead
	of event_t), switch to checking existence of ev->recur (rather than
	checking flags), add a forget_details, minor things (set RECUR flag in
	click_ok, toggle the none button in event_edit, move s->ev=ev to end)
	* future_view.c : move GSList declares outside function
	* month_view.c : likewise
	
2003-04-11  Christian Meyer  <chrisime@gnome.org>

	* gtkdatesel.{cc,h}: GObject'ification. :-)
	
2003-04-10  Philip Blundell  <philb@gnu.org>

	* familiar/control: Deleted.

	* week_view.c (draw_expose_event): Remove spurious
	g_locale_to_utf8.
	(week_view_update): Likewise.

2003-04-08  Philip Blundell  <philb@gnu.org>

	* po/de.po: Updated, courtesy Colin Marquardt.

2003-04-07  Philip Blundell  <philb@gnu.org>

	* po/fr.po: New file from Translation Project, courtesy Luc Pionchon.
	* Makefile (LINGUAS): Add fr.

	* po/pt.po: Updated, courtesy Luis Oliveira.
	* po/pt_PT.po: Deleted.

2003-04-03  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* future_view.c: delete old clone-checking cruft
	* event-ui.c: stop double freeing clones and move recurrence
	checking/getting
	* day_view.c: stop using FLAG_RECUR
	* day_popup.c: likewise
	
2003-04-03  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* event-ui.c: use libschedule
	* familiar/control*: likewise
	
2003-04-03  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* week_view.c: fix declaration locations so it builds on ipaq cluster
	* event-ui.c: likewise
	* month_view.c: likewise
	
2003-04-03  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* main.c: change set_day_view to set_time_and_day_view and change
	original call to be new_view(day) so set_day_view becomes unnecessary
	* event-ui.c: get rid of find_by_uid since I have added a pointer in
	event_t that points to the original ev (for a clone). fix small memory
	leak in schedule_next, ALLOW EXCEPTIONS to recurring events (so delete
	needs to ask about what you are deleting...maybe someday I will allow
	editting of a single instance, but this will likely be done by
	deleteing one (like this code now does) and making a completely new
	event), also fix the alarm spinner code so it always reports ev->alarm
	in seconds...I cannot seem to get the show/hide of the recurring page
	worked out when editting stuff! 
	* day_view.c : erase check for clones since I use *all* clones now and
	get rid of calls to find_by_uid
	* future_view: erase reference to gtkdatesel and delete calls to
	find_by_uid
	* month_view: use set_time_and_day_view now
	* globals.h: use set_time_and_day_view now
	* day_popup: use set_time_and_day_view now and eliminate find_by_uid

2003-03-30  Philip Blundell  <philb@gnu.org>

	* gtkdatesel.c: New file.
	* gtkdatesel.h: Likewise.
	* Makefile (MEMBERS): Add gtkdatesel.
	* day_view.c: Adjust path to gtkdatesel.h.
	* week_view.c: Likewise.
	* month_view.c: Likewise.
	* year_view.c: Likewise.

2003-03-29  Luis Oliveira  <luis@handhelds.org>

	* event-ui.c (edit_event): Set type menu to Appointment/Reminder.
	(set_notebook_page): Use gtk_option_menu_get_history() instead of
	gtk_simple_menu_get_result().
	(build_edit_event_window): Connect "changed" signal to the type
	GtkSimpleMenu instead of "item-changed".

2003-03-29  Philip Blundell  <philb@gnu.org>

	* week_view.c (draw_expose_event): Rearrange decls for pre-C99
	compilers.

	* Makefile (clean): Also remove .desktop file.

	* event-ui.c (build_edit_event_window): Use tables in recurrence
	tab.

	* Makefile (install-program): Use install -s.

2003-03-28  Philip Blundell  <philb@gnu.org>

	* Version 0.40 released.

2003-03-27  Philip Blundell  <philb@gnu.org>

	* event-ui.c (click_ok): Fix formatting.
	(build_edit_event_window): Remove unused widgets.  Remove spurious
	border width on internal boxes; just put it on the top level in
	each tab.  Correct packing of widgets in reminder table.

2003-03-23  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.39 released.

2003-03-23  Phil Blundell  <pb@nexus.co.uk>

	* main.c (main): Rearrange order of packing to get toolbar icon
	sizes right.

2003-03-23  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.38 released.

2003-03-23  Phil Blundell  <pb@nexus.co.uk>

	* event-ui.c (build_edit_event_window): Tweak expand and fill
	arguments for better effect.  Include <gpe/spacing.h>.

2003-03-23  Christian Meyer  <chrisime@gnome.org>
                                                                        
	* event-ui.c (build_edit_event_window): Improved layout quite a
	bit. Removed unnecessary code, deprecated function calls.

2003-03-23  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.37 released.

2003-03-23  Phil Blundell  <pb@nexus.co.uk>

	* globals.h (VERSION): Delete.
	(update_all_views): Add prototype.

	* event-ui.c (click_elete): Call update_all_views not
	update_current_view.
	(click_ok): Likewise.

	* main.c (update_view): New function.
	(update_current_view): Use it.
	(update_all_views): New function.
	(init_views): Deleted.
	(main): Use update_all_views.
	(set_day_view): Remove update_current_view call.

2003-03-22  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.36 released.

2003-03-22  Phil Blundell  <pb@nexus.co.uk>

	* event-ui.c (build_edit_event_window): Don't use GtkDialog.

	* Makefile (LDFLAGS): Add -rpath-link for libxsettings.

2003-03-19  Philip Blundell  <philb@gnu.org>

	* event-ui.c (build_edit_event_window): Use GtkDialog.
	(recalculate_sensitivities): Fix typo.

	* main.c (main): Use gtk_window_set_default_size not
	gtk_widget_set_usize.

2003-03-19  Christian Meyer  <chrisime@gnome.org>

        * event-ui.c: Indentation fixes.
	
2003-03-19  Christian Meyer  <chrisime@gnome.org>

        * event-ui.c: Remove GTK 1 compatibility.

2003-03-19  Philip Blundell  <philb@gnu.org>

	* week_view.c (draw_expose_event): Remove GTK1 compatibility.
	Recode strings obtained from nl_langinfo into UTF8 for display.
	* month_view.c (draw_expose_event): Likewise.
	Patch from Christian Meyer <chrisime@gnome-de.org>.
	
	* event-ui.c (build_edit_event_window): Remove frame around
	description.  Put start/end dates and times in a table.  Patch
	from Christian Meyer <chrisime@gnome-de.org>.

2003-03-19  Philip Blundell  <philb@gnu.org>

	* xsettings.c (notify_func): Add missing const. Patch from
	Christian Meyer <chrisime@gnome-de.org>.

	* main.c (gpe_cal_exit): Fix formatting.
	(main): Likewise.  Remove GTK 1 compatibility code.  Scale toolbar
	icons to desired size.  Use stock item for new and exit buttons.

2003-03-19  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add pt, de.

	* po/pt.po: New file from Translation Project, courtesy Luis
	Oliveira.

	* event-ui.c: Replace GtkObject with GObject.  Patch from
	Christian Meyer <chrisime@gnome-de.org>.
	* day_popup.c: Likewise.
	* day_view.c: Likewise.
	* week_view.c: Likewise.
	* month_view.c: Likewise.
	* year_view.c: Likewise.
	* future_view.c: Likewise.
	* main.c: Likewise.
	(main): Call bind_textdomain_codeset.
	
2003-03-08  Philip Blundell  <philb@gnu.org>

	* familiar/control1 (Depends): Remove libsqlite0.  Add 
	gpe-calendar-locale*.

	* Makefile (LINGUAS): Add id.
	* po/id.po: New file from Translation Project.

2003-03-03  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* version 0.35

2003-03-03  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* main.c: add an update_current_view to set_day_view
	* event-ui.c: finally alarm things (disallow changing away from
	"minutes before" for now, add user id to alarmname, dont
	subtract minutes before twice) 
	* day_view.c : change widget_show to widget_show_all so new
	event-edit windows get displayed properly

2003-02-17  Philip Blundell  <philb@gnu.org>

	* main.c (main): Mark window title for translation.  Reformat
	option parsing code.

	* event-ui.c (build_edit_event_window): Replace trailing "(s)"
	with "s" for ease of translation.

	* Makefile (install): Depend on $(PACKAGE).desktop.

	* gpe-calendar.desktop.in: New file.
	* gpe-calendar.desktop: Deleted.

2003-02-13  Philip Blundell  <philb@gnu.org>

	* Version 0.34 released.

2003-02-13  Philip Blundell  <philb@gnu.org>

	* event-ui.c (build_edit_event_window): Just say "Start" and "End"
	not "Start on" and "End on".  Put recurrence widgets inside a
	notebook.  Remove setting of window default size.

2003-02-12  Philip Blundell  <philb@gnu.org>

	* Makefile (install): Don't install obsolete pixmaps.
	* pixmaps/close.xpm, pixmaps/config.xpm, pixmaps/dayview.xpm,
	pixmaps/exit.xpm, pixmaps/futureview.xpm, pixmaps/monthview.xpm,
	pixmaps/new.xpm, pixmaps/save.xpm, pixmaps/today.xpm,
	pixmaps/weekview.xpm, pixmaps/yearview.xpm: Delete.

2003-01-19  Philip Blundell  <philb@gnu.org>

	* event-ui.c (edit_finished): Re-enable window cache.
	(gtk_box_pack_start_show): Delete.
	(build_edit_event_window): Remove calls to gtk_widget_show.

	* future_view.c (selection_made): Use gtk_widget_show_all with
	event window.
	* day_view.c (selection_made): Likewise.	
	* day_popup.c (selection_made): Likewise.
	* main.c (new_appointment): Likewise.

2003-01-19  Philip Blundell  <philb@gnu.org>

	* event-ui.c (build_edit_event_window): Don't realize window
	explicitly.  Install "destroy" handler on new window.  Connect
	cancel button to edit_finished directly.
	(click_delete): Reformat.
	(click_ok): Likewise.
	(schedule_next): Likewise.
	(edit_finished): Return TRUE as gboolean.
	(click_cancel): Delete.

2003-01-18  Philip Blundell  <philb@gnu.org>

	* Version 0.33 released.

2003-01-18  Philip Blundell  <philb@gnu.org>

	* familiar/control1 (Depends): Require libdm0, libeventdb 0.02.

	* main.c (main): Use stock icons.
	* day_popup.c (day_popup): Likewise.
	* event-ui.c (build_edit_event_window): Likewise.

	* main.c (my_icons): Remove now-redundant entries.

2003-01-13  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* main.c: change update_current_view to happen at
	startup and then only when things change (rather than
	with every view switch), small fixes for rescheduling
	* event-ui.c: finally fix rescheduling of events, and
	turn off the caching of event windows (for now)
	* event-ui.h: remove event_ui_init prototype
	* gpe-calendar.session: same
	* day_popup.c : revert to old row bindings with check
	for clones
	* future_view.c : revert to old row bindings with check
	for clones
	* day_view.c : revert to old row bindings with check
	for clones
	
2003-01-08  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* main.c: add "skip" time
	* event-ui.c: same
	* event-ui.h: same
	* gpe-calendar.session: same
	* day_popup.c : add pretty pixmaps
	* day_view.c : cut space down
	
2003-01-08  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* Makefile: removed reference to old-db.c
	
2003-01-08  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* main.c: Change "event-db.h" for <gpe/event-db.h>
	* event-ui.c: fix notebook page handling on edit/new
	
2003-01-06  Philip Blundell  <philb@gnu.org>

	* event-db.c, event-db.h: Deleted; moved to ../libeventdb.

2003-01-06  Luis Oliveira  <luis@handhelds.org>

	* Makefile (MEMBERS): remove event-db and old-db.
	(CPPFLAGS): add -I../libeventdb.
	Linking against libeventdb.
	* day_popup.c: Change "event-db.h" for <gpe/event-db.h>
	* day_view.c: Likewise.
	* event-ui.c: Likewise.
	* event-ui.h: Likewise.
	* globals.h: Likewise.
	* month_view.c: Likewise.
	* week_view.c: Likewise.
	* year_view.c: Likewise.
	* familiar/control1 (Depends): Add libeventdb0.

2003-01-06  Philip Blundell  <philb@gnu.org>

	* Version 0.32 released.

2003-01-06  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* Makefile: delete year_view

2003-01-06  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* gpe-calendar.session: add a Xsession.d file to schedule
	next alarms at login time 
	* Makefile: install new Xsession.d file

2003-01-06  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* event-db.c (event_sort_func): add a "recur" sort_func so we
	can reverse-sort recurring by enddate and skip ones with old
	end dates, also add ALARM flag to cloned events 
	* event-ui.c (schedule_alarm): change schedule alarm to have a
	date input as well as event_t input (so we can do recurring 
	alarms), add schedule_next function; use schedule_next function
	INSTEAD of schedule_alarm in editted and new events
	* event-ui.h : add schedule_next function
	* main.c (main): add getopt stuff to read -s flag, erase 
	year_view stuff, add schedule_next stuff at init and at exit,
	get rid of render_icon

2003-01-06  Philip Blundell  <philb@gnu.org>

	* Makefile (LDFLAGS): Add -L../libdm -ldm.
	(CFLAGS): Add -I../libdm
	* main.c (main): Call libdm_init.  Mark window for migration.

2003-01-05  Luis Oliveira  <luis@handhelds.org>

	* First steps towards libgpeeventdb.
	* event-db.c (event_db_refresh): New function.
	  (event_db_stop): Free event lists.
	* globals.h event-db.h: Moved some defines from globals.h to
	event-db.h

2003-01-05  Philip Blundell  <philb@gnu.org>

	* familiar/control1 (Version): Version 0.31 released.

2003-01-05  Philip Blundell  <philb@gnu.org>

	* event-db.c (event_db_clone): Add missing memcpy, duh.

2003-01-05  Philip Blundell  <philb@gnu.org>

	* familiar/control1 (Version): Version 0.30 released.

2003-01-05  Philip Blundell  <philb@gnu.org>

	* month_view.c (button_press): Ignore clicks other than button 1.
	(month_view): Select for release events.

	* xsettings.c (notify_func): Only act on CHANGED or NEW messages.

2003-01-04  Philip Blundell  <philb@gnu.org>

	* event-db.h (event_db__alloc_event): New.
	(event_db__alloc_recur): Likewise.
	(event_db__free_event): Likewise.
	(event_db__free_recur): Likewise.
	(EVENT_DB_USE_MEMCHUNK): Likewise.  Default on.
	* event-db.c (event_db_start): Create new GMemChunks.
	(load_callback): Use above macros.
	(event_db_clone): Likewise.
	(event_db_new): Likewise.
	(event_db_destroy): Likewise.
	(event_db_destroy_clone): Likewise.
	(event_db_get_recurrence): Likewise.
	* old-db.c (load_callback0): Likewise.
	
2003-01-04  Philip Blundell  <philb@gnu.org>

	* Version 0.29 released.
	
2003-01-04  Philip Blundell  <philb@gnu.org>

	* main.c (button_toggled): Only act when button is active.

	* event-db.c (event_db_clone): New.
	(event_db_list_for_period_internal): Use it.  Reformat.
	Reorganise handling of max-events.
	(get_ev_from_uid): Rename to ...
	(event_db_find_by_uid): ... this.  All callers updated.
	* event-db.h (event_db_clone): New prototype.
	(get_ev_from_uid): Rename to event_db_find_by_uid.

	* day_popup.c (day_popup): Mark string for translation.
	
2003-01-03  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

        * event-db.h : add FLAGS for RECUR and CLONE 
	* day_popup.c (selection_made & day_popup): attach uid to row so 
	we can grab the uncloned event_t (also fix small warning on 
	SIGNAL_FUNC)
	* day_view.c (selection_made & day_view_update): attach uid to row so 
	we can grab the uncloned event_t
	* event-db.c (event_db_list_for_period_internal): losts of changes 
	here and elsewhere to add cloned records; highlights -> new 
	routines get_ev_from_uid, event_db_destroy_clone; remove clones
	when doing event_db_list_destroy, *will now be able to get event-list
	IN ORDER, so we can implement next_alarm!*
	* event-ui.c (edit_event): small warning fix, and silly fix for recur
	toggle buttons
	* future_view.c (selection_made & future_view_update): attach uid to 
	row so we can grab the uncloned event_t (also warning fix)
	 * main.c : change default font slightly	
	
2003-01-01  Philip Blundell  <philb@gnu.org>

	* Version 0.28 released.

2003-01-01  Philip Blundell  <philb@gnu.org>

	* event-ui.c (build_edit_event_window): Tasks are not yet properly
	implemented; don't offer them on the menu.

2003-01-01  Philip Blundell  <philb@gnu.org>

	* event-ui.c (build_edit_event_window): Set week-starts-monday
	flag on newly created GtkDateCombo widgets.
	(build_edit_event_window): Set default size for window.

	* xsettings.c (gpe_calendar_start_xsettings): Use gpe_error_box.
	(watch_func): Reformat decl.
	(notify_func): Likewise.  Make key names case insensitive.  Add
	GPE/week-starts-monday as synonym for old key under GPE/Calendar.
	(KEY_BASE): Set to "GPE/".

	* gpe-calendar.desktop (SingleInstance): Set to true.

	* main.c (my_icons): Add close.
	(main): Use gpe_set_window_icon.  Add more verbose tooltips.

	* day_popup.c (day_popup): Replace cancel pixmap with close.  Pack
	buttons with no padding.  Put a frame around the window contents.
	(destroy_popup): Reformat.
	(close_window): Likewise.
	(day_clicked): Likewise.
	(selection_made): Likewise.
	
	* event-ui.c (new_event): Set window title.
	(edit_event): Likewise.
	(build_edit_event_window): Set icon for window.

	* main.c (main): Remove call to event_ui_init.

2002-12-19  Philip Blundell  <philb@gnu.org>

	* Version 0.27 released.

2002-12-15  Luis Oliveira  <luis@handhelds.org>

	* po/pt_PT.po: Updated translation.

2002-12-15  Philip Blundell  <philb@gnu.org>

	* po/pt_PT.po: Set character set to iso-8859-15.

2002-10-31  Luis Oliveira  <luis@handhelds.org>

       * event-db.c (event_db_destroy): Fix memory leak.

2002-12-07  Philip Blundell  <philb@gnu.org>

	* month_view.c (draw_expose_event): Remove unused variable.
	* event-db.c (insert_values): Remove spurious token-paste.

2002-12-06  Philip Blundell  <philb@gnu.org>

	* gpe-calendar.desktop: New file.
	* Makefile (install): Install it.
	Patch from Matthew Allum <breakfast@10.am>

2002-11-30  Philip Blundell  <philb@gnu.org>

	* Version 0.26 released.

2002-11-30  Philip Blundell  <philb@gnu.org>

	* day_view.c (day_view_update): Set scroll position to current
	hour.
	(scroll_adjustment): New global.
	(day_view): Initialise it.

	* event-ui.c (edit_event): Explicitly set state of more widgets.
	(new_event): Likewise.

	* event-ui.c (build_edit_event_window): Use GtkTextView for
	description under GTK 2.
	(click_ok): Likewise.
	(new_event): Likewise.
	(edit_event): Likewise.

	* Makefile (GTKCFLAGS): Remove -DGTK_ENABLE_BROKEN.

	* event-ui.c (build_edit_event_window): Adjust GtkSimpleMenu
	signal naming.

	* main.c (main): Call event_ui_init.
	* event-ui.h (event_ui_init): Add prototype.
	* event-ui.c (event_ui_init): New function.
	(build_edit_event_window): Renamed from edit_event_window.
	(edit_event_window): New function; wrap the above.
	(edit_finished): New function.
	(click_delete): Call it.
	(click_ok): Likewise.
	(click_cancel): Likewise.

2002-11-29  Philip Blundell  <philb@gnu.org>

	* day_view.c (selection_made): Set viewtime when a row is single
	clicked.

2002-10-17  Philip Blundell  <philb@gnu.org>

	* Version 0.25 released.

2002-10-17  Philip Blundell  <philb@gnu.org>

	* main.c (main): Call gpe_calendar_start_xsettings.
	(day_view_combined_times): Define.
	* xsettings.c: New file.
	* globals.h (day_view_combined_times): Declare.
	* day_view.c (day_view_combined_times): Don't define.
	* Makefile (MEMBERS): Add xsettings.
	* Makefile (LDFLAGS): Add Xsettings libraries.
	* Makefile (CFLAGS): Add Xsettings include paths.
	
2002-10-14  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

        * event-ui.c (schedule_alarm): add DISPLAY to script 

2002-10-13  Philip Blundell  <philb@gnu.org>

	* week_view.c (draw_expose_event): Format time correctly.
	(week_view_update): Likewise.

2002-10-12  Philip Blundell  <philb@gnu.org>

	* week_view.c (draw_expose_event): Only draw black separator when
	appropriate to do so.
	(week_view_update): Put untimed events at start of list.
	Calculate required height appropriately for Pango.

	* main.c (main): Put all views inside a GtkNotebook.
	(new_view): Select the appropriate page.

2002-10-12  Philip Blundell  <philb@gnu.org>

	* Makefile (GTK2): Default is yes.

	* main.c (main): Fix warnings.

	* week_view.c: Switch back to drawing area implementation.

2002-10-07  Philip Blundell  <philb@gnu.org>

	* event-ui.c (edit_event_window): Fix memory leak.

2002-10-06  Philip Blundell  <philb@gnu.org>

	* Version 0.23 released.

2002-10-06  Philip Blundell  <philb@gnu.org>

	* Makefile: Add support for GTK 2.
	* day_view.c (day_view_update): Likewise.
	* future_view.c (future_view_update): Likewise.
	* month_view.c (draw_expose_event): Likewise.
	* main.c (main): Likewise.
	* familiar/control1: New file.

	* Makefile (DEBUG): Default off.

	* month_view.c (button_press): Reject clicks outside valid area.
	[Bug #130]
	(resize_table): Calculate height on the basis of 7 rows.  
	[Bug #133]

	* main.c (main): Use radio buttons for view selection, based on
	patch from pigeon@pigeond.net.
	(set_week_view, set_month_view, set_year_view, set_future_view): Deleted.

2002-10-04  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* event-db.c (event_db_list_for_period_internal: erase
	the "max &&" and "/*skip already finished events */" 
	parts got cut	
	* future-view.c: change to use list_for_future()

2002-09-29  Philip Blundell  <philb@gnu.org>

	* day_view.c (format_event): Handle untimed events.  Elide end
	time if duration is zero.
	(day_view_update): Handle untimed events appropriately.

	* event-db.c (event_db_new): Zero newly allocated structure.

2002-09-29  Philip Blundell  <philb@gnu.org>

	* event-db.c (event_db_list_for_period_internal): New parameters
	"max", "untimed_significant".
	(event_db_list_for_period): Update call to above function.
	(event_db_untimed_list_for_period): Likewise.
	(event_db_list_for_future): New.

	* event-db.h (event_db_list_for_future): New prototype.
	
2002-09-29  Philip Blundell  <philb@gnu.org>

	* event-db.h (recur_t): New, broken out from event_t.
	(event_t): Member "recur" is now a pointer.
	(event_db_get_recurrence): New prototype.
	* event-db.c (events): Separate back into recurring_events and
	one_shot_events.
	(event_db_add_internal): Use appropriate list.
	(event_db_remove_internal): Likewise.
	(load_data_callback): Allocate ev->recur when required.
	(load_callback): Free recurrence struct if it was allocated by
	mistake.
	(event_db_list_for_period_internal): Use separate one-shot and
	recurring lists.  Cope with ev->recur as a pointer.
	(event_db_write): Only write recurrence tags for recurring events.
	Cope with ev->recur as a pointer.
	(event_db_destroy): Free recurrence struct if it exists.
	(event_db_get_recurrence): New.
	* day_view.c (day_view_update): Fix formatting.  Just test
	ev->recur, not ev->recur.type.
	* old-db.c (load_callback0): No need to set recurrence type.
	* event-ui.c (click_ok): Allocate or dispose of recurrence struct
	as appropriate.  Fix formatting.  Use "for" loop for day-related
	tests.
	(edit_event): Fix formatting.  Expect ev->recur as a pointer.  Use
	"for" loop for day masking.

2002-09-26  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* Makefile: drop libgpe dependencies	
	* event-ui.h: change to atd for alarms	
	* event-ui.c: change to atd for alarms	
	* day-view.c: add pixmaps for recurring and alarms	
	* year-view.c: delete unused variable	

	* Version 0.22 released.

2002-09-09  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* month-view.c: fix daylight savings glitch
	
	* year-view.c: same	

2002-09-08  Philip Blundell  <philb@gnu.org>

	* event-ui.c (struct edit_state): Add taskdate, taskspin,
	optionmenutype, optionmenutask.
	(set_notebook_page): Operate on GtkSimpleMenu.
	(edit_event_window): Use GtkSimpleMenu for type selection.  Add
	preliminary support for "tasks".

2002-09-06  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* event-ui.c: add rtcd support for alarms and re-show alarm notepage
	WE NEED TO FIX THIS PRIOR TO OUR NEXT RELEASE SINCE THE RTCD IS A HACK!
	
	* event-ui.h: alarm stuff	

2002-09-05  Philip Blundell  <philb@gnu.org>

	* main.c (main): Reinstate yearfont, datefont.
	* globals.h: Likewise.
	* year_view.c: Roll back to non-GtkCalendar version.

	* day_popup.c (day_popup): Call mktime to calculate day of week
	correctly.

2002-09-04  Philip Blundell  <philb@gnu.org>

	* Version 0.20 released.

2002-09-02  Philip Blundell  <philb@gnu.org>

	* event-ui.c (new_event): Fix calculation of end time when
	wrapping from one day to the next.
	(struct edit_state): Add notebooktype, page.
	(click_ok): Distinguish appointments and reminders.
	(set_notebook_page): Set s->page.
	(edit_event_window): Pass edit_state as argument to above
	function.
	* main.c (new_appointment): Use viewtime, not current time.

2002-09-01  Philip Blundell  <philb@gnu.org>

	* event-ui.c (struct edit_state): Delete alldaybutton.  Add
	reminderdate, remindertime, remindertimebutton.
	(recalculate_sensitivities): Replace alldaybutton with
	remindertimebutton.
	(set_notebook_page): New.
	(edit_event_window): Distinguish between "appointments" and
	"reminders".

2002-08-31  Philip Blundell  <philb@gnu.org>

	* event-ui.c (edit_event_window): Put event box in a
	GtkScrolledWindow.

2002-08-31  Philip Blundell  <philb@gnu.org>

	* month_view.c (c_old): Make static.
	(button_press): Fix formatting.
	(struct render_ctl): Add "today".
	(draw_expose_event): Draw red border when c->today==TRUE.
	(month_view_update): Set c->today appropriately.

2002-08-31  Philip Blundell  <philb@gnu.org>

	* month_view.c (TOTAL_DAYS): New macro.
	(draw_expose_event): Use it.
	(month_view_update): Likewise.
	(rc): Use TOTAL_DAYS as array size.

2002-08-31  Philip Blundell  <philb@gnu.org>

	* event-db.c (event_db_alloc_details): Add refcount.
	(event_db_forget_details): Likewise.
	(event_db_get_details): Likewise.
	(event_db_write): Use event_db_get_details and
	event_db_forget_details.  Reduce size of string buffers.  Use
	sizeof where appropriate.  Take "sequence" and "modified" from
	details struct, not event_t.
	* event-db.h (event_details_s): Add ref, sequence, modified.
	(event_s): Remove sequence, modified.
	* event-ui.c (click_ok): Call event_db_forget_details.  Use
	ev_d->sequence not ev->sequence.

2002-08-30  Philip Blundell  <philb@gnu.org>

	* event-db.h (event_s): Add "sequence".
	* event-db.c (event_db_write): Write out SEQUENCE tag.
	(load_data_callback): Read it back in again.

	* event-ui.c (click_ok): Bump sequence number on existing events.

2002-08-30  Philip Blundell  <philb@gnu.org>

	* event_db.h (struct calendar_time_s): New struct.

2002-08-30  Philip Blundell  <philb@gnu.org>

	* event-ui.c (struct edit_state): Delete "old_alarm".
	(click_ok): Replace test of s->old_alarm with direct inspection of
	ev->flags.
	(edit_event): Don't set s->old_alarm;
	(new_event): Likewise.
	(recalculate_sensitivities): Fix formatting.

2002-08-30  Philip Blundell  <philb@gnu.org>

	* event-ui.c (click_ok): Reuse old event structure when modifying
	an existing event.
	* event-db.c (event_db_write): New function.
	(event_db_flush): Likewise.
	(event_db_add): Use event_db_write.
	(insert_values): Expect err as char**.
	* event-db.h (event_db_flush): New prototype.

2002-08-30  Philip Blundell  <philb@gnu.org>

	* event-db.h (FLAG_TENTATIVE): New.
	(calendar_time_t): New type.
	(event_t): Delete "confirmed".  Change type of "start" to 
	calendar_time_t.

	* event-ui.c (click_delete): Test for flags & FLAG_ALARM.
	(edit_event): Likewise.
	(click_ok): Likewise.  Set FLAG_ALARM bit appropriately.

2002-08-29  Philip Blundell  <philb@gnu.org>

	* event-db.c (parse_date): Don't dereference date_only if NULL.
	(load_data_callback): Pass "date_only" as NULL to above function
	when not interested in that information.

	* globals.h (timefont, datefont, yearfont, DO_RECURRENCE): Delete
	obsolete cruft.

2002-08-25  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* old-db.c: fix for when no db exists.
	
	* event-db.c: include recurrence and fix deleting.
	
	* event-db.h: small schema change for recurrence.
	
	* event-ui.c: include recurrence.
	
	* globals.h: include recurrence bit thingies.
	
2002-08-25  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* old-db.c: write new schema version to db after update.
	
	* event-db.c: Use new database schema versioning.
	
2002-08-26  Philip Blundell  <philb@gnu.org>

	* event-db.c (parse_date): New function.
	(load_data_callback): Use it.

2002-08-25  Philip Blundell  <philb@gnu.org>

	* day_popup.c (day_popup): Return GtkWidget*.
	* day_popup.h (day_popup): Adjust prototype to match.

	* old-db.c: New file.
	* Makefile (MEMBERS): Add old-db.

	* event-db.c: Use new database schema.
	* event-db.h (FLAG_ALARM): New.

2002-08-23  Philip Blundell  <philb@gnu.org>

	* Makefile (DEBUG): Default off.
	* main.c (main): Remove historical font-loading cruft.

2002-08-22  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* day_view.c (day_view_update, update_hooks_callback): move set_time.
	* week_view.c (week_view_update, update_hooks_callback): Likewise.	
	* month_view.c (month__view_update, update_hooks_callback): Likewise.
	* year_view.c (year_view_update, update_hooks_callback): Likewise.
	
2002-08-05  Colin Marquardt  <colin@marquardt-home.de>

	* po/Makefile (translation-package): Get control and postinst from
	control.translation and postinst.translation.

	* Makefile (translation-package): New target to automatically
	make translation packages. Just calls the same target in po/Makefile.

	* po/Makefile (translation-package): New target to automatically
	make translation packages. This actually does all the work.

2002-07-31  Philip Blundell  <philb@gnu.org>

	* main.c: Remove useless include of gdk_imlib.h

2002-07-29  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-calendar.menu: Give full path for the icon. Move to section
	PIM (to conform to http://familiar.handhelds.org/policy/menu.html)

2002-07-17  Philip Blundell  <pb@nexus.co.uk>

	* Version 0.10 released

2002-07-13  Philip Blundell  <philb@gnu.org>

	* main.c (main): Remove call to what_init.

2002-07-09  Philip Blundell  <philb@gnu.org>

	* Makefile (gpe-calendar): Link with libgpewidget before libgtk.

2002-06-22  Philip Blundell  <philb@gnu.org>

	* main.c (main): Set icon for window manager.

	* event-ui.c (click_ok): Correct DST related lossage.

	* event-db.c (event_db_alloc_details): Pass correct size to
	memset.

	* Version 0.09 released.

2002-06-21  Joseph J. McCarthy  <mccarthy@engrng.pitt.edu>

	* month_view.c (button_press): Use global pop_window pointers so it
	is easier to manipulate the pop-up from a few different routines
	(this will help with the soon-to-be-worked-on new year-view as well).

	* globals.h : Add a new global for the pop-up windows (so they are
	easier to kill).

	* main.c : Add a new global for the pop-up windows (so they are
	easier to kill).

	* day_popup.c (destroy_popup): Set global pop_window pointer to NULL
	when window is killed

	* Version 0.08 released.

2002-06-21  Philip Blundell  <pb@debian.org>

	* month_view.c (draw_expose_event): Draw days with events as
	gray60 background and white text.  Unref newly created GCs when
	done with them.

	* event-ui.c (click_ok): Disallow end time earlier than start time.

	* familiar/control (Depends): Require libgpewidget 0.08.  Remove
	explicit dependency on gdk-pixbuf2.

	* Version 0.08 released.

2002-06-20  Philip Blundell  <pb@debian.org>

	* main.c (main): Call what_init.

2002-06-18  Philip Blundell  <pb@debian.org>

	* day_popup.c (day_popup): Realize widget before using its style.
	Add missing include.
	* event-ui.c (edit_event_window): Likewise.
	* main.c: Add missing include.

2002-06-16  Philip Blundell  <pb@debian.org>

	* main.c (my_pix): Add "cancel".
	* day_popup.c (day_popup): Use gpe_find_pixmap.

2002-06-15  Philip Blundell  <pb@debian.org>

	* Makefile: Don't link with gdk-imlib.
	(MEMBERS): Remove about.
	* about.c: Obsolete, deleted.
